Forum


Notice to all users

We are migrating towards a new forum system located at community.teamspeak.com, as such this forum will become read-only on January 29, 2020

Page 2 of 2 FirstFirst 12
Results 16 to 30 of 30
  1. #16
    Join Date
    December 2009
    Location
    Germany
    Posts
    289
    OK, you talk about messaging-menu-indicator, and yes, this is ubuntu-specific. It maybe be used in other Distributions, but this is not gnome-upstream.

    I will see, what will be possible, but this is not the main-target of this plugin. I write it down into the roadmap, but it can take a few weeks.
    Last edited by Master_D; June 3rd, 2011 at 08:57 AM.

  2. #17
    Join Date
    March 2011
    Posts
    13
    sounds solid to me. thank you for considering it!

  3. #18
    Join Date
    August 2010
    Location
    Christchurch, NZL
    Posts
    19
    Confirmed working on Ubuntu 11.04 x64 with Unity.

    This plugin works brilliantly, the only thing it doesnt seem to do is display the actual typed message!

    Is this hoped to be included at a later date?

  4. #19
    Join Date
    December 2009
    Location
    Germany
    Posts
    289
    which message will not be displayed??

    Poke-Message is the only one, which needs to be displayed, because of ignoring the poke. All other messages will be shown in the TS3-Client.

  5. #20
    Join Date
    August 2010
    Location
    Christchurch, NZL
    Posts
    19
    Dummy has sent you a message

    Dummy says "what's for lunch"

    Thats kinda what i mean. Replace TTS with a popup of the message (for when your talking but someone without a mic is typing and your ingame)

    The problem is libnotify does not display in fullscreen games or even window maximised games. Is there a way to change this behavior to make libnotify pop up in fullscreen?

    Found this https://launchpad.net/~avesummathat/+archive/ppa

    Trying it out now, will report back. ---> Worked!

  6. #21
    Join Date
    June 2011
    Posts
    2
    I love this plugin! I had to figure out a bit how to get it working, for anyone else running any full screen video or screensaver wallpapers, fullscreen games, etc you will have to update your notify osd package with the one listed here: https://launchpad.net/~avesummathat/+archive/ppa

    Running Ubuntu 11.04 Natty with Unity, a video wallpaper using shantz xwinwrap. The video wallpaper ends up hiding the notify OSD iwthout the updated package listed here.

    I have one request for the developer, is it possible to send someone's username to DBUS when they start talking? This would be handy in larger communities where not everyone knows everyone's voice and would like to see who is talking.

  7. #22
    Join Date
    December 2009
    Location
    Germany
    Posts
    289
    i think it will be possible to extend the notifications for this part.

    Because of a rewrite to extend the plugin with some functions, this will need some days.

  8. #23
    Join Date
    June 2011
    Posts
    2
    Sounds awesome! libNotify plugin is the only reason I signed up for the teamspeak forums.

    In our teamspeak, sometimes there are several people that start talking at once, which doesn't seem to be a problem because I have seen multiple libnotify messages stack well at least in Ubuntu

  9. #24
    Join Date
    December 2009
    Location
    Germany
    Posts
    289
    ubuntu supports "append" within the libnotify-system, so this is possible.

    On the other side, libnotify does not support actions, so there will be some functions, which won't be usable in the future.

  10. #25
    Join Date
    August 2010
    Location
    Christchurch, NZL
    Posts
    19
    Sounds awesome! Good luck and thanks for the effort, this plugin is hugely appreciated!

  11. #26
    Join Date
    January 2014
    Posts
    5
    hey! great plugin how to install on mac client?

  12. #27
    Join Date
    March 2014
    Posts
    2
    When I open Settings->Plugins, your plug-in is red (without checkbox). When I select it, I see: "Plugin failed to load:
    Api version is not compatible". I've installed latest version of TS from this website. What can I do?

  13. #28
    Join Date
    September 2012
    Posts
    6,079
    The plugin was created for an older version of the TeamSpeak Client and is incompatible with any recent version of TeamSpeak. The plugin would need to be recompiled and adapted to work with the current client.
    When sending PMs please make sure to include a reference link to the thread in question in the body of your message.

  14. #29
    Join Date
    March 2014
    Posts
    2
    Quote Originally Posted by Chris View Post
    The plugin was created for an older version of the TeamSpeak Client and is incompatible with any recent version of TeamSpeak. The plugin would need to be recompiled and adapted to work with the current client.
    Thanks. I tried to change API version in the plug-in sources and re-compile but it doesn't help.

    Is there other overlay plug-ins which can work with Linux?

  15. #30
    Join Date
    September 2012
    Posts
    6,079
    Quote Originally Posted by alexglider View Post
    Thanks. I tried to change API version in the plug-in sources and re-compile but it doesn't help.
    Well if it would be that simple then there would be no need to have an API version. The API changed and these changes need to reflected in the plugin in case it uses any of the changed/removed functions, hence me saying it needs to be adapted to work with the latest TeamSpeak versions.
    When sending PMs please make sure to include a reference link to the thread in question in the body of your message.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. [Beta] Frigyd - Bot Plugin
    By VenomAK in forum Client Plugins / Lua Scripts
    Replies: 20
    Last Post: July 24th, 2011, 10:08 AM
  2. Add to the gnome indicator panel (libnotify)
    By FaykFox in forum Suggestions and Feedback
    Replies: 2
    Last Post: May 14th, 2011, 05:19 AM
  3. [LUA-Script] Notification with libnotify
    By Master_D in forum Tools / Web Based
    Replies: 3
    Last Post: September 30th, 2010, 02:03 PM
  4. Replies: 5
    Last Post: March 9th, 2010, 02:46 PM
  5. (beta-17) Can't load MySQL plugin
    By Armada651 in forum Server Support
    Replies: 2
    Last Post: February 7th, 2010, 03:51 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •